dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)

var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

var capped = db.NOTIFICATION.isCapped();

if(capped){
    db.NOTIFICATION.drop();
    db.createCollection('NOTIFICATION');
    db.NOTIFICATION.ensureIndex({category : 1});
    db.NOTIFICATION.ensureIndex({type : 1});
    db.NOTIFICATION.ensureIndex({subType : 1});
    db.NOTIFICATION.ensureIndex({notificationTime : -1});
    db.NOTIFICATION.ensureIndex({name : 1});
    db.NOTIFICATION.ensureIndex({dataSource : 1});
    db.NOTIFICATION.ensureIndex({expiresAt : 1}, {expireAfterSeconds : 0});
    db.NOTIFICATION.ensureIndex({status : 1});
    db.NOTIFICATION.ensureIndex({message : 1});
    db.NOTIFICATION.ensureIndex({expired : 1});
    db.NOTIFICATION.ensureIndex({acknowledged : 1});
    db.NOTIFICATION.ensureIndex({jobId : 1});
    db.NOTIFICATION.ensureIndex({jobsessinId : 1});
    db.NOTIFICATION.ensureIndex({storageId : 1});
    db.NOTIFICATION.ensureIndex({serverId : 1});
}